# Method: partners.customers.list

- [HTTP request](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.customers/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.customers/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.customers/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.customers/list#body.request_body)
- [Response body](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.customers/list#body.response_body)
  - [JSON representation](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.customers/list#body.ListCustomersResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.customers/list#body.aspect)

Lists the customers that are enrolled to the reseller identified by the `partnerId` argument. This list includes customers that the reseller created and customers that enrolled themselves using the portal.

### HTTP request

`GET https://androiddeviceprovisioning.googleapis.com/v1/partners/{partnerId}/customers`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `partnerId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the reseller partner. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of results to be returned. If not specified or 0, all the records are returned. |
| `pageToken` | `string` A token identifying a page of results returned by the server. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:
Response message of all customers related to this partner.

| JSON representation ||
|---|---|
| ``` { "customers": [ { object (`https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.customers#Company`) } ], "nextPageToken": string, "totalSize": integer } ``` |

| Fields ||
|---|---|
| `customers[]` | ``object (`https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.customers#Company`)`` List of customers related to this reseller partner. |
| `nextPageToken` | `string` A token to retrieve the next page of results. Omitted if no further results are available. |
| `totalSize` | `integer` The total count of items in the list irrespective of pagination. |

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidworkprovisioning`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).